build - Adjust kern.post.mk warning
authorMatthew Dillon <dillon@apollo.backplane.com>
Wed, 1 Sep 2010 05:25:33 +0000 (22:25 -0700)
committerMatthew Dillon <dillon@apollo.backplane.com>
Wed, 1 Sep 2010 05:25:33 +0000 (22:25 -0700)
* installkernel was blowing away the modules before warning that the
  boot was out of date.  Warn before blowing away anything (and
  abort the installkernel).

sys/conf/kern.post.mk

index 0ff5813..d53389e 100644 (file)
@@ -215,7 +215,7 @@ modules-tags:
 # We may have to remove deprecated kernel.old files before we can create
 # the kernel.old directory.
 #
-modules-install:
+modules-install: kernel-installable
 .if !defined(NO_MODULES_OLD)
 .  ifdef NO_KERNEL_OLD_STRIP
        set -- ${DESTDIR}${DESTKERNDIR}/*;                      \